Page MenuHomePhabricator

Admin interface not working
Closed, ResolvedPublic

Description

The Django admin interface for Striker is reporting You don't have permission to edit anything. even for users with both staff and superuser permissions.

This looks to have been broken when the ratelimitbackend library was added.

Event Timeline

bd808 claimed this task.Aug 28 2016, 5:51 PM
bd808 created this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 28 2016, 5:51 PM

Change 307139 had a related patch set uploaded (by BryanDavis):
Explicitly register admin modules

https://gerrit.wikimedia.org/r/307139

bd808 moved this task from Backlog to Doing on the Striker board.Aug 28 2016, 5:58 PM

Change 307139 merged by jenkins-bot:
Explicitly register admin modules

https://gerrit.wikimedia.org/r/307139

bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Aug 29 2016, 6:38 PM
bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.
bd808 closed this task as Resolved.Aug 29 2016, 8:15 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Sep 1 2016, 5:12 PM
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:57 AM